<?php

namespace App\Policies;

use App\Models\MealPosts;
use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class MealPostsPolicy
{
    use HandlesAuthorization;

    public function viewAny(User $user): bool {}

    public function view(User $user, MealPosts $mealPosts): bool {}

    public function create(User $user): bool {}

    public function update(User $user, MealPosts $mealPosts): bool {}

    public function delete(User $user, MealPosts $mealPosts): bool {}

    public function restore(User $user, MealPosts $mealPosts): bool {}

    public function forceDelete(User $user, MealPosts $mealPosts): bool {}
}
